/*
 * Copyright 2011 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.gradle.api.internal.artifacts.ivyservice;

import java.io.File;

public interface ArtifactCacheMetaData {
    /**
     * Returns the root directory for the cache.
     */
    File getCacheDir();

    /**
     * Returns the root directory for the file store.
     *
     * @return File store location
     */
    File getFileStoreDirectory();

    /**
     * Returns the root directory for the meta-data file store.
     *
     * @return Metadata store location
     */
    File getMetaDataStoreDirectory();
}
