/*
 * Copyright 2015 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.gradle.jvm.internal;

import org.gradle.api.internal.AbstractBuildableComponentSpec;
import org.gradle.platform.base.internal.ComponentSpecIdentifier;

import java.io.File;

public class DefaultJarFile extends AbstractBuildableComponentSpec implements JarFile {
    private File file;

    public DefaultJarFile(ComponentSpecIdentifier identifier) {
        super(identifier, JarFile.class);
    }

    @Override
    public File getFile() {
        return file;
    }

    @Override
    public void setFile(File jarFile) {
        this.file = jarFile;
    }
}
